summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorGravatar Alex-P. Natsios <drakevr@linuxteam.cs.teilar.gr>2012-07-02 23:51:51 +0300
committerGravatar waker <wakeroid@gmail.com>2012-07-05 17:52:43 +0200
commit09349cb1c92ed624b38d8c19209f0a577fd448de (patch)
treeb6ad8ce947ee3bb5a0323f6697c4b7dd1a92b928 /autogen.sh
parent1537120350ae8af72038a40b091aef0c939b44c0 (diff)
Prettified and demystified autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh12
1 files changed, 7 insertions, 5 deletions
diff --git a/autogen.sh b/autogen.sh
index 0db33264..785e6288 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,8 @@
#!/bin/sh
-aclocal
-autoheader
-libtoolize
-autoconf
-automake -a -c
+echo "Running autopoint..."; autopoint -f || :
+echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 || exit 1
+echo "Running autoheader..."; autoheader || exit 1
+echo "Running autoconf..."; autoconf || exit 1
+echo "Running libtoolize..."; (libtoolize --copy --automake || glibtoolize --automake) || exit 1
+echo "Running automake..."; automake --add-missing --copy --gnu || exit 1
+echo "Running intltoolize"; intltoolize --force